#include "global.h"
#include "DS1620.h"

void SetTempH(char temp)
{
	RST=1;
	Put1620byte(0x01);
	Write1620byte(temp);
	RST=0;
}

void SetTempL(char temp)
{
	RST=1;
	Put1620byte(0x02);
	Write1620byte(temp);
	RST=0;
}

char GetTempH()
{
	char temp;
	RST=1;
	Put1620byte(0xA1);
	temp=Read1620byte();
	RST=0;
	return temp;
}

char GetTempL()
{
	char temp;
	RST=1;
	Put1620byte(0xA2);
	temp=Read1620byte();
	RST=0;
	return temp;
}

char GetTemp()
{
	char temp;
	RST=1;
	Put1620byte(0xAA);
	temp=Read1620byte();
	RST=0;
	return temp;
}

void StartTemp()
{
	RST=1;
	Put1620byte(0xEE);
	RST=0;
}

void StopTemp()
{
	RST=1;
	Put1620byte(0x22);
	RST=0;
}

void WriteConfig(char conf)
{
	RST=1;
	Put1620byte(0x0C);
	Put1620byte(conf);
	RST=0;
}

char ReadConfig()
{
	char conf;
	RST=1;
	Put1620byte(0xAC);
	conf=Get1620byte();
	RST=0;
	return conf;
}
/*----------------------------------------------------------------------*/
/*      Get temp from DS1620                                            */
/*----------------------------------------------------------------------*/
char Get1620byte()
{
	unsigned char j,k=0,b=1;
	k=0;
	b=1;
    for (j=0; j<8; j++)
	{
		CLK=0;
		if (DQ)
			k|=b;                                /* Read bit and or if = 1  */
		CLK=1;
		b=(b<<1);                            /* Setup for next read and or */
	}
	return k;
}

/*----------------------------------------------------------------------*/
/*      Put temp from DS1620                                            */
/*----------------------------------------------------------------------*/
void Put1620byte(char m)
{
	unsigned char k;
	pd10_1=1;
	RST=1;
	for (k=0; k<8; k++)
	{
		CLK=0;
		DQ=(m & 1);
		CLK=1;
		m=(m>>1);                            /* Setup to send next bit  */
	}
	pd10_1=0;
	return;
}

/*----------------------------------------------------------------------*/
/*      read temp from DS1620                                           */
/*----------------------------------------------------------------------*/
char Read1620byte()
{
	unsigned char j,k=0,b=1;
	k=0;
	b=1;
    for (j=0; j<10; j++)
	{
		CLK=0;
		if (DQ)
			k|=b;                                /* Read bit and or if = 1  */
		CLK=1;
		b=(b<<1);                            /* Setup for next read and or */
	}
	return k;
}

/*----------------------------------------------------------------------*/
/*      write temp from DS1620                                          */
/*----------------------------------------------------------------------*/
void Write1620byte(char m)
{
	unsigned char k;
 	pd10_1=1;
	RST=1;
    for (k=0; k<10; k++)
	{
		CLK=0;
		DQ=(m & 1);
        CLK=1;
        m=(m>>1);                            /* Setup to send next bit  */
	}
	pd10_1=0;
	return;
}



