#ifndef _LCD_H
#define _LCD_H

#define LCD_PORT        p0      // Datenleitung

#define LCD_WR          p1_0    // Write-Leitung
#define LCD_RD          p1_1    // Read-Leitung
#define LCD_CE          p1_2    // Chip-Enable
#define LCD_CD          p1_3    // Command/Data Umschaltung
#define LCD_HALT        p1_4    // HALT
#define LCD_RESET       p1_5    // Reset-Leitung


extern unsigned char LCD_CMD;          // Command-Byte
extern unsigned char LCD_STATUS;       // Status-Byte
extern unsigned char LCD_DATA;         // Daten-Byte

void lcd_rect(unsigned char x,unsigned char y,unsigned char lx,unsigned char ly);
void lcd_rectf(unsigned char x,unsigned char y,unsigned char lx,unsigned char ly);
void lcd_line(signed char von_x,signed char von_y,signed char bis_x,signed char bis_y);
void lcd_lineY(unsigned char x,unsigned char y,unsigned char ly);
void lcd_lineX(unsigned char x,unsigned char y,unsigned char lx);
void lcd_pixel(char x,char y,char stat);
void lcd_clear_ram(void);
void lcd_send_str(unsigned char lcd_dat);
void lcd_print( _far char * msg_string, char adress_x, char adress_y);
void lcd_send_data_am(void);
void lcd_send_data(void);
void lcd_send_cmd(void);
void lcd_status_am(void);
void lcd_status(void);
void Initlcd(void);

#endif